MacProcesses.Info (install4j API)
Description: declaration: package: com.install4j.api.macos, class: MacProcesses, class: Info

Package com.install4j.api.macos

# Class MacProcesses.Info

java.lang.Object
com.install4j.api.ProcessInfo
com.install4j.api.macos.MacProcesses.Info

All Implemented Interfaces:
  `Serializable`

Enclosing class:
  `MacProcesses`

public static class MacProcesses.Info extends ProcessInfo
Class that holds information about running macOS processes.

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Info(int processId, String moduleName, String displayedName, String bundleIdentifier, boolean backgroundOnly)`
  Called by the framework.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getBundleIdentifier()`
  The bundle identifier of the application.
  `String`
  `getDisplayedName()`
  The displayed name of the application.
  `String`
  `getWindowTitle()`
  Get the title of one of the visible top-level windows of this process.
  `boolean`
  `isBackgroundOnly()`
  Returns if the process is only running in the background and does not display any windows.
  `String`
  `toString()`

  ### Methods inherited from class com.install4j.api.ProcessInfo

  `equals, getModuleName, getProcessId, hashCode`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### Info

    public Info(int processId, String moduleName, String displayedName, String bundleIdentifier, boolean backgroundOnly)
    Called by the framework.

- ## Method Details

  - ### getWindowTitle

    public String getWindowTitle()
    Description copied from class: `ProcessInfo`
    Get the title of one of the visible top-level windows of this process.
    Specified by:
      `getWindowTitle` in class `ProcessInfo`
    Returns:
      the title

  - ### getDisplayedName

    public String getDisplayedName()
    The displayed name of the application. For non-application bundle processes, the simple name of the executable is returned.
    Returns:
      the name

  - ### getBundleIdentifier

    public String getBundleIdentifier()
    The bundle identifier of the application.
    Returns:
      the bundle identifier, or `null` if the process is not associated with an application bundle

  - ### isBackgroundOnly

    public boolean isBackgroundOnly()
    Returns if the process is only running in the background and does not display any windows. All non-application bundle processes return `true` here, even if they display a GUI by some other means.
    Returns:
      if background only

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `ProcessInfo`